var strArray=new Array();
strArray[0]='·<a   href="http://www.qt66.com/bbs/" target="_blank" ><b>视觉互动平台——非常互动</b></font> </a>'
strArray[1]='·<a   href="Photo_class.asp?classID=7" target="_blank" >想发布你的作品吗，赶快登录会员中心</font></a>'
strArray[2]='·<a   href="http://www.jiayishop.com" target="_blank" color=red><b>美丽水晶,低价出售</b></font></a>'
strArray[3]='·<a   href="http://www.qsyz.net" target="_blank" ><b>超低价服务器空间,尽在清水驿站</b></font></a>'
strArray[4]='·<a   href="http://www.ebay.com.cn" target="_blank" >专业卖家给你意想不到的低价！</font></a>'
strArray[5]='·<a   href="http://www.cnbasketball.com/" target="_blank" >NBA 2004-2005 新赛季全面跟踪!!!</font></a>'
strArray[6]='·<a   href="http://www.taobao.com" target="_blank" ><b>想免费开店吗？赶快登录淘宝网！</b></font></a>'


showId=Math.floor(Math.random()*7);
tempStr=strArray[showId];
strArray[showId]=strArray[0];
strArray[0]=tempStr;
              
document.write('<table width=100% border=0 cellspacing=0 cellpadding=0>'
+'<tr><td>'
+'<div id="toptable" >'
+'<table width=260 border=0 cellspacing=0 cellpadding=0 >'
+'<tr><td width=260 height=21 >'+strArray[0]+'</td></tr>'
+'<tr><td height=21 >'+strArray[1]+'</td></tr>'
+'<tr><td height=21 >'+strArray[2]+'</td></tr>'
+'<tr><td height=21 >'+strArray[3]+'</td></tr>'
+'<tr><td height=21 >'+strArray[4]+'</td></tr>'
+'<tr><td height=21 >'+strArray[5]+'</td></tr>'
+'<tr><td height=21 >'+strArray[6]+'</td></tr>'
+'</td></tr>'
+'</table>'
+'</div>'
+'</td></tr>'
+'</table>');

marqueesHeight=21;
stopscroll=false;
toptable.scrollTop=0;

with(toptable){
  style.width=0;
  style.height=marqueesHeight;
  style.overflowX="visible";
  style.overflowY="hidden";
  noWrap=true;
  onmouseover=new Function("stopscroll=true");
  onmouseout=new Function("stopscroll=false");
}

preTop=0; currentTop=21; stoptime=0;
toptable.innerHTML+=toptable.innerHTML;

function init_srolltext(){
  toptable.scrollTop=0;
  setInterval("scrollUp()",40);
}init_srolltext();

function scrollUp(){
  if(stopscroll==true) return;
  currentTop+=1;
  if(currentTop==22)
  {
  	stoptime+=1;
  	currentTop-=1;
  	if(stoptime==80) 
  	{
  		currentTop=0;
  		stoptime=0;
  	}
  }
  else {  	
	  preTop=toptable.scrollTop;
	  toptable.scrollTop+=1;
	  if(preTop==toptable.scrollTop){
	    toptable.scrollTop=42;
	    toptable.scrollTop+=1;
	  }
  }

}